Package ru.bitel.bgbilling.kernel.plugin.server.event

# Class PluginConfigModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.plugin.server.event.PluginConfigModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class PluginConfigModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Событие обновление/создания конфига плагина. Используется внутри менеджера плагинов, чтобы сразу после изменения перечитать всё на всех приложениях, самому ловить скорее всего не нужно. Т.к. для плагинов рассылался в его обработчике onUpdateConfig раньше, потом и он был убран, т.к. всегда он сопровождался передёргиванием init/destroy потому вроде как был бессмысленным, потому теперь обновление конфига виртуально выглядит - это дестрой а потом инит с новым конфигом, это как раньше всё равно, только проще и надёжнее.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginConfigModifiedEvent()`
  `PluginConfigModifiedEvent(int pluginId, int userId)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PluginConfigModifiedEvent

    public PluginConfigModifiedEvent()

  - ### PluginConfigModifiedEvent

    public PluginConfigModifiedEvent(int pluginId, int userId)